## org.hibernate.engine.profile
Class Association

    java.lang.Object
      org.hibernate.engine.profile.Association

    public class Association

extends Object

Models the association of a given fetch.

Constructor Summary
`Association(EntityPersister owner, String associationPath)`

Method Summary
`String` `getAssociationPath()`
`EntityPersister` `getOwner()`
`String` `getRole()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Association

    public Association(EntityPersister owner,
                       String associationPath)

Method Detail

### getOwner

    public EntityPersister getOwner()

### getAssociationPath

    public String getAssociationPath()

### getRole

    public String getRole()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.